Get the activity log for one record
get
https://api.expiryedge.com/v1/getEntityActivitiesany role60/minAny method
Request
curl 'https://api.expiryedge.com/v1/getEntityActivities?entity_type=expiry&entity_id=exp_4Tq9sLm2&limit=50' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"activities": [
{
"id": "act_9Rk2mQ",
"entity_type": "expiry",
"entity_id": "exp_4Tq9sLm2",
"entity_name": "Business License - Northwind Dental",
"activity_type": "updated",
"user_id": "u_71bXq",
"user_name": "Priya Shah",
"organization_id": "org_northwind",
"changes": [
{
"field": "expiry_date",
"field_label": "Expiry Date",
"old_value": "2026-10-15",
"new_value": "2027-10-15",
"change_type": "primitive"
}
],
"metadata": {
"changes_count": 1
},
"created_at": "2026-09-27T14:05:00.000Z",
"timestamp": "2026-09-27T14:05:00.000Z"
}
]
}Newest first. limit defaults to 50 and is clamped to 1-200. Entries from other organizations are filtered out, so fewer than limit may be returned. No cursor.
entity_typestringrequiredexpiry, contact, member, template, workflow, workflow_section, workflow_step, backup_rule.entity_idstringrequiredlimitintegerDefault50min: 1 · max: 200
200
Activity entries.
activitiesarray of objects
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
500 | Unexpected server error. Retry later; quote requestId to support. |
